Skip to content
OrdersOrder Drafts

Create order draft share link

Generates a token to share the draft and returns its path and expiry.

Path Parameters

draftId*string

Identifier of the order draft.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/order-drafts/7204558912004324769/share" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "shareExpiresAt": "2026-09-28T15:30:00Z",    "allowAnonymousShareAccess": true  }'
{  "shareToken": "replace_with_the_issued_token",  "shareExpiresAt": "2026-09-28T15:30:00Z",  "allowAnonymousShareAccess": false,  "sharePath": "Mi tienda"}